# 常用功能工具箱

Rust 中可以使用的常用辅助功能工具箱。主要配备以下功能：

- 加解密算法
  - [x] 螺旋随机密钥自解密算法
  - [x] AES-CBC 便捷加解密算法
    - [x] No Padding
    - [x] ZerosPadding
    - [x] Pkcs7Padding
  - [x] DES-CBC 便捷加解密算法
    - [x] No Padding
    - [x] ZerosPadding
    - [x] Pkcs7Padding
  - [x] 3DES-CBC 便捷加解密算法
    - [x] No Padding
    - [x] ZerosPadding
    - [x] Pkcs7Padding
  - [x] RSA 加解密算法
    - [x] 1024 位长
    - [x] 2048 位长
    - [x] KeyPair 生成器
- 散列算法。
  - [x] Sha512 散列算法
  - [x] Sha1 散列算法
  - [x] MD5 散列算法
  - [x] 图像感知散列算法
- 唯一序列号生成器
  - [x] 冰雹 ID 生成器(短主机精简日期版雪花 ID)
  - [x] UUID 生成器
  - [x] short UUID 生成器
- 签名算法
  - [x] RSA 签名算法
- 验证码生成器
  - [x] 随机验证码生成算法
- 序列化算法
  - [x] Base64 算法
  - [x] Hex 直转
- 常用工具函数
  - [x] 日期时间函数

本工具箱仅可支持于 Rust 程序中使用，可以编译为`rlib`或者`dylib`。
