use rand::{seq::SliceRandom, thread_rng};

const RAND_STR_SRC: &str = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890";

/// 生成一个指定长度的随机验证码。
///
/// - `n`：要生成的验证码长度。
pub fn random_verify_code(n: usize) -> Box<String> {
    let choices = RAND_STR_SRC.as_bytes();
    let mut rng = thread_rng();
    let mut code: Vec<String> = vec![];
    while code.len() < n {
        match choices.choose(&mut rng) {
            Some(c) => code.push(String::from_utf8(vec![*c]).unwrap()),
            None => continue,
        }
    }
    Box::from(code.join(""))
}
